Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
MimeVersion Struct Reference

Mime-Version field value. More...

`#include <mimeversion.h>`

Inheritance diagram for MimeVersion:

## Public Member Functions

| MimeVersion (const std::string &)
| MimeVersion (ver_type, ver_type)
void | set (const std::string &)
std::string | str () const
Public Member Functions inherited from Version
| Version (const std::string &)
| Version (ver_type, ver_type, ver_type build=0)
void | maj (ver_type)
void | min (ver_type)
void | build (ver_type)
ver_type | maj () const
ver_type | min () const
ver_type | build () const
void | set (ver_type, ver_type, ver_type build=0)
void | set (const std::string &)
std::string | str () const
bool | operator== (const Version &) const
bool | operator!= (const Version &) const
bool | operator< (const Version &) const
bool | operator> (const Version &) const
bool | operator<= (const Version &) const
bool | operator>= (const Version &) const

## Static Public Attributes

static const char | label []

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Additional Inherited Members

Public Types inherited from Version
typedef unsigned int | ver_type
Protected Attributes inherited from Version
ver_type | m_maj
ver_type | m_min
ver_type | m_build

## Detailed Description

Mime-Version field value.

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- mimeversion.h